Subject: RE: bug#14550: libltdl not found during configure of Guile 2.0.9

From: "Eric Sheibley" <[email-masked]>
Date: Mon, 10 Jun 2013 15:50:49 -0400

Ludo,
I figured it out but now I am getting another error when running 'make all'
CCLD guile
Undefined symbol		first referenced in file
ffi_closure_alloc		./.libs/libguile-2.0.so
ffi_type_pointer
ffi_prep_closure_loc
ffi_type_uint8
ffi_type_sint8
ffi_type_float
GC_unregister_my_thread
ffi_type_uint32
ffi_type_uint16
ffi_type_uint64
ffi_type_sint32
ffi_type_sint16
ffi_type_sint64
ffi_type_void
ffi_type_double
GC_register_my_thread
ffi_call
ffi_closure_free
ffi_prop_cif
GC_pthread_create
GC_pthread_detach
ld:fatal:symbol reference errors. No output written to .lib/guile
collect2: ld returned 1 exit status

I get this error when using either the Solaris 10 built in gcc version 3.4.3 or Solaris Studio version 12.3 as the compiler.

Eric

-----Original Message-----
From: Ludovic "Courtès" [mailto:[email-masked]] 
Sent: Wednesday, June 05, 2013 17:27
To: [email-masked]
Cc: [email-masked]
Subject: Re: bug#14550: libltdl not found during configure of Guile 2.0.9

Eric,

(Please keep [email-masked] Cc'd.)

[email-masked] skribis:

> It doesn't even get that far. It stops at checking for libltdl and 
> says to view the README file for more information.

I know.  Yet, ‘configure’ creates a ‘config.log’ file with additional details, as I explained.  Can you please check its contents according to the recommendations I gave?

Thanks in advance,
Ludo’.